*** sql/pgsql_fdw.sql.orig	2012-02-13 19:52:08.000000000 +0900
--- sql/pgsql_fdw.sql	2012-02-13 19:44:17.000000000 +0900
***************
*** 2,7 ****
--- 2,19 ----
  -- create FDW objects
  -- ===================================================================
  
+ -- Clean up in case a prior regression run failed
+ 
+ -- Suppress NOTICE messages when roles don't exist
+ SET client_min_messages TO 'error';
+ 
+ DROP ROLE IF EXISTS pgsql_fdw_user;
+ 
+ RESET client_min_messages;
+ 
+ CREATE ROLE pgsql_fdw_user LOGIN SUPERUSER;
+ SET SESSION AUTHORIZATION 'pgsql_fdw_user';
+ 
  CREATE EXTENSION pgsql_fdw;
  
  CREATE SERVER loopback1 FOREIGN DATA WRAPPER pgsql_fdw;
***************
*** 168,173 ****
--- 180,186 ----
  EXPLAIN (COSTS false) SELECT * FROM ft1 t1 WHERE t1.c1 = abs(t1.c2);
  EXPLAIN (COSTS false) SELECT * FROM ft1 t1 WHERE t1.c1 = t1.c2;
  DROP OPERATOR === (int, int) CASCADE;
+ DROP OPERATOR !== (int, int) CASCADE;
  DROP FUNCTION pgsql_fdw_abs(int);
  
  -- ===================================================================
***************
*** 212,216 ****
  -- ===================================================================
  -- cleanup
  -- ===================================================================
  DROP EXTENSION pgsql_fdw CASCADE;
! 
--- 225,231 ----
  -- ===================================================================
  -- cleanup
  -- ===================================================================
+ DROP SCHEMA "S 1" CASCADE;
  DROP EXTENSION pgsql_fdw CASCADE;
! \c
! DROP ROLE pgsql_fdw_user;
